package com.cn.tianji.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.cn.tianji.mapper.WlwmroDataMapper;
import com.cn.tianji.service.WlwmroDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
@Slf4j
@DS("wlwmroDataSource")
public class WlwmroDataServiceImpl implements WlwmroDataService {

    @Resource
    private WlwmroDataMapper wlwmroDataMapper;

    @Override
    public List<Map<String,String>> getAllJh(){
        return wlwmroDataMapper.selectAllJh();
    }

    @Override
    public  List<Map<String,String>> selectZjrb3ByJh( String jh){
        return wlwmroDataMapper.selectZjrb3ByJh(jh);
    }

    @Override
    public  List<Map<String,String>> selectZjrbByJh(String jh){
        return wlwmroDataMapper.selectZjrbByJh(jh);
    }
}
