package com.cn.tianji.service;

import com.alibaba.fastjson.JSONArray;
import com.cn.tianji.entity.OperatingConditionThreshold;
import com.cn.tianji.entity.WellDrilling;

import java.util.List;

public interface BizService {

    public void syncTables() throws InterruptedException;

    public void taskNewTable();

    public void syncTableDataAfter();

    public void syncTableDataBefore();

    public void updateAjHLastDate();

    public List<WellDrilling> WellDrillinghandle(List<WellDrilling> records);

    public OperatingConditionThreshold setCreating();

    public void updateAjhJs();

    public void syncTableData(String jh, String startTime, String endTime);

    public List<String> getSyncTableList();

    void getOp(String jh);

    //更新token方法 程序启动时执行一次 然后每天8点更新一次
    String getToken_caffeine();

    //更新数据采集井方法,程序启动执行一次 然后每隔8小时更新一次
    JSONArray pullJhList(String token);

    List<String>  getJhList();

    //实时数据采集方法,每20秒执行一次
    void pullRealTimeData(List<String> list);
}
