package com.cn.tianji.enums;

import lombok.Getter;

/**
 * 预警消息类别枚举
 * @author Zhao RenJi
 */
@Getter
public enum MessageTopidEnums {
    /**
     * 钩载消息
     */
    HookLoad("topic-hookLoad"),

    /**
     * 扭矩消息
     */
    Torque("topic-torque"),

    /**
     * 泵压消息
     */
    PumpingPressure("topic-pumpingPressure"),


    /**
     * 总池体积消息
     */
    TotalPoolVolume("topic-totalPoolVolume");


    private final String value;

    MessageTopidEnums(String value) {
        this.value = value;
    }
}
