package com.cn.tianji.rocketMq;

import org.apache.rocketmq.client.producer.DefaultMQProducer;
import org.apache.rocketmq.client.producer.SendCallback;
import org.apache.rocketmq.client.producer.SendResult;
import org.apache.rocketmq.common.message.MessageConst;
import org.apache.rocketmq.common.message.MessageQueue;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.messaging.Message;
import org.springframework.messaging.support.MessageBuilder;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

///**
// * @author Zhao RenJi
// */
//@Component
//public class SimpleProducer {
//
//    @Autowired
//    RocketMQTemplate rocketMQTemplate;
//
//    @Bean
//    public RocketMQTemplate customRocketMQTemplate() {
//        // 创建一个新的消费者组
//        String newConsumerGroup = "new_consumer_group";
//        DefaultMQProducer defaultMQProducer=new DefaultMQProducer();
//        defaultMQProducer.setProducerGroup(newConsumerGroup);
//        // 创建一个新的RocketMQTemplate实例
//        RocketMQTemplate customTemplate = new RocketMQTemplate();
//        customTemplate.setProducer(defaultMQProducer);
//        // 如果有必要，可以对DefaultMQPushConsumer进行自定义配置
//        // DefaultMQPushConsumer consumer = new DefaultMQPushConsumer(newConsumerGroup);
//        // 设置其他消费者相关的属性
//        // consumer.setXXX(...);
//
//        // 设置到RocketMQTemplate
//        // customTemplate.setConsumer(consumer);
//
//        return customTemplate;
//    }
//
//    /**
//     * 发送同步消息
//     *
//     * @param topic 主题
//     * @param msg   消息体
//     */
//    public void sendSyncMsg(String topic, String msg) {
//        rocketMQTemplate.convertAndSend(topic, msg);
//    }
//
//    /**
//     * 异步消息
//     *
//     * @param topic 主题
//     * @param lists   消息体
//     */
//    public void sendListMessage(String topic, List<Map<String, String>> lists){
//        lists.forEach(item->{
//            rocketMQTemplate.asyncSend(topic, item,new SendCallback() {
//                //消息发送成功的回调
//                @Override
//                public void onSuccess(SendResult sendResult) {
//                    System.out.println(sendResult);
//                }
//                //消息发送失败的回调
//                @Override
//                public void onException(Throwable throwable) {
//                    System.out.println(throwable.getMessage());
//                }
//            });
//        });
//    }
//    /**
//     * 异步消息
//     *
//     * @param topic 主题
//     * @param msg   消息体
//     */
//    public void sendAsyncMsg(String topic, String msg) {
//        rocketMQTemplate.asyncSend(topic, msg, new SendCallback() {
//            //消息发送成功的回调
//            @Override
//            public void onSuccess(SendResult sendResult) {
//                System.out.println(sendResult);
//            }
//
//            //消息发送失败的回调
//            @Override
//            public void onException(Throwable throwable) {
//                System.out.println(throwable.getMessage());
//            }
//        });
//    }
//
//    /**
//     * 发送异步消息
//     *
//     * @param topic        主题
//     * @param msg          消息体
//     * @param sendCallback 回调方式
//     */
//    public void sendAsyncMsg(String topic, String msg, SendCallback sendCallback) {
//        rocketMQTemplate.asyncSend(topic, msg, sendCallback);
//    }
//
//    /**
//     * 顺序发送消费消息
//     * @param topic
//     * @param message
//     * @param orderId
//     * @return
//     */
//    public SendResult syncSendOrderly(String topic, String message, String orderId) {
//        // 使用orderId作为队列选择器的key
//        return rocketMQTemplate.syncSendOrderly(topic, MessageBuilder.withPayload(message).build(), orderId);
//    }
//
//    public void sendOrderedMessage(String topic, String tag, String message,String key) {
//        // 设置消息的分区键
//        Message<String> sendMessage = MessageBuilder.withPayload(message).
//                setHeader(MessageConst.PROPERTY_KEYS, key).
//                build();
////
////        customRocketMQTemplate.syncSendOrderly(topic+":"+tag,sendMessage, key);
////        rocketMQTemplate.syncSend(topic,sendMessage);
//       // rocketMQTemplate.sendOneWayOrderly(topic+":"+tag,sendMessage,key);
//      rocketMQTemplate.syncSendOrderly(topic+":"+tag,sendMessage, key);
//    }
//}
