package com.cn.tianji.enums;

import lombok.Getter;

/**
 * 下钻工况动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum DrillDownActionEnum {

    /**
     *下放钻具
     */
    LoweringDrillingTools("下放钻具"),

    /**
     *干划
     */
    DrysScratch("干划"),

    /**
     *边放边循环
     */
    LoopWhilePlacing("边放边循环"),

    /**
     *划眼
     */
    Reaming("划眼");

    private final String value;

    DrillDownActionEnum(String value) {
        this.value = value;
    }

    public String getValue(){
        return value;
    }
}
