package com.cn.tianji.enums;

import lombok.Getter;

/**
 * 起钻工况动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum TripOutActionEnum {
    /**
     *上提钻具
     */
    LiftingDrillingTools("上提钻具"),

    /**
     *干倒划
     */
    DryInvertedScratch("干倒划"),

    /**
     *边提边循环
     */
    LoopWhileLifting("边提边循环"),

    /**
     *倒划
     */
    ReversesStroke("倒划");

    private final String value;

    TripOutActionEnum(String value) {
        this.value = value;
    }

    public String getValue(){
        return value;
    }
}
