package com.cn.tianji.enums;


import lombok.Getter;

/**
 * 泵压判断起钻工况动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum TrippingActionPumpingEnum {

    /**
     *定点转转盘循环
     */
    FixedPointTurntableCycle("定点转转盘循环"),
    /**
     *干倒划
     */
    DryInvertedScratch("干倒划"),

    /**
     *倒划
     */
    ReversesStroke("倒划"),

    /**
     *干划
     */
    DrysScratch("干划"),

    /**
     *划眼
     */
    Reaming("划眼");

    private final String value;

    TrippingActionPumpingEnum(String value) {
        this.value = value;
    }
}
