package com.cn.tianji.service;

import com.cn.tianji.entity.OperatingConditionThreshold;
import com.cn.tianji.entity.WellDrilling;

import java.math.BigDecimal;

public interface DrillingConditionDeterminationService {
    /**
     * 钻进工况动作判定
     *
     * @param nowPoint 当前点数据
     * @param perPoint 上一点数据
     * @param timeSubBig 当前点与上一点时间差
     */
    public String drillingConditionDetermination(WellDrilling nowPoint, WellDrilling perPoint, BigDecimal timeSubBig, OperatingConditionThreshold operatingConditionThreshold);
}
