package com.cn.tianji.test;


import com.cn.tianji.common.RedisUtil;
import com.cn.tianji.service.DrillingOutHookLoadService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

@Component
@Slf4j
public class TestServer {
    @Resource
    private RedisUtil redisUtil;

    @Resource
    private DrillingOutHookLoadService hookLoadService;

//    @PostConstruct
    public void test(){
        String redisHasKeyHookLoad="达4_hook_load_real_time_computing";
        String redisHasKeyPumping="达4_pumping_pressure_real_time_computing";
        String redisHasKeyTorque="达4_torque_real_time_computing";
        String redisHasKeyTotalPool="达4_total_pool_volume_real_time_computing";

        System.out.println("清除缓存");
        redisUtil.del(redisHasKeyHookLoad);
        redisUtil.del(redisHasKeyPumping);
        redisUtil.del(redisHasKeyTorque);
        redisUtil.del(redisHasKeyTotalPool);
        System.out.println("清除缓存完成");
    }
}
