package com.cn.tianji.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@TableName("sync_record")
public class SyncRecord implements Serializable {

    private static final long serialVersionUID = 3623141357792435967L;

    @TableId
    private String id;

    @TableField("TABLE_NAME")
    private String tableName;

    @TableField("COLLECT_TIME")
    private String collectTime;

    private String working;

    @TableField("TABLE_TYPE")
    private String tableType;


    @TableField(exist = false)
    private String startTime;

    @TableField(exist = false)
    private String endTime;
}
