package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 钩载预警阈值管理;
 *
 * @author : http://www.chiner.pro
 * @date : 2025-1-7
 */
@TableName("yj_woh_warn_value")
@Data
public class YjWohWarnValue implements Serializable, Cloneable {

    /**
     * 主键
     */
    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 钻杆重量
     */
    private BigDecimal rodWeight;
    /**
     * 持续起下钻钩载阈值
     */
    private BigDecimal sustainWoh;
    /**
     * 第一种活动钻具阈值
     */
    private BigDecimal activityOne;
    /**
     * 第二种活动钻具阈值
     */
    private BigDecimal activityTwo;
    /**
     * 钻头监测阈值
     */
    private BigDecimal bitdepth;
    /**
     * 创建时间
     */
    private Date createTime;
}
