package com.cn.tianji.enums;

import lombok.Getter;

/**
 * 起下钻工况动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum TrippingConditionDeterminationEnum {
    /**
     *在地面
     */
    AtSurface("在地面"),

    /**
     *坐卡
     */
    InSlips("坐卡"),

    /**
     *停待
     */
    StopAndWait("停待"),

    /**
     *空转
     */
    Idling("空转"),

    /**
     *中途循环
     */
    MidwayLoop("中途循环"),

    /**
     *定点转转盘循环
     */
    FixedPointTurntableCycle("定点转转盘循环"),


    /**
     *上提钻具
     */
    LiftingDrillingTools("上提钻具"),

    /**
     *干倒划
     */
    DryInvertedScratch("干倒划"),

    /**
     *边提边循环
     */
    LoopWhileLifting("边提边循环"),

    /**
     *倒划
     */
    ReversesStroke("倒划"),

    /**
     *下放钻具
     */
    LoweringDrillingTools("下放钻具"),

    /**
     *干划
     */
    DrysScratch("干划"),

    /**
     *边放边循环
     */
    LoopWhilePlacing("边放边循环"),

    /**
     *划眼
     */
    Reaming("划眼");

    private final String value;

    TrippingConditionDeterminationEnum(String value) {
        this.value = value;
    }
}
