package com.cn.tianji.controller;


import com.cn.tianji.common.Result;
import com.cn.tianji.service.DataSupplementationService;
import com.cn.tianji.service.WorkingConditionCalculationService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/workingConditionCalculation")
public class WorkingConditionCalculationController {
    @Resource
    private WorkingConditionCalculationService workingConditionCalculationService;

    @Resource
    private DataSupplementationService dataSupplementationService;

    @GetMapping
    public Result<?> workingConditionCalculation(@RequestParam("workingConditionCalculationLogId") String workingConditionCalculationLogId){
       return workingConditionCalculationService.workingConditionCalculation(workingConditionCalculationLogId);
    }

    @GetMapping("/sicpDataSupp")
    public Result<?> sicpDataSupp(@RequestParam("jh") String jh,@RequestParam("statrTime")String statrTime,@RequestParam("endTime")String endTime){
        dataSupplementationService.sicpDataSupp( jh,  statrTime,  endTime);
        return Result.OK();
    }

}
