package com.cn.tianji.enums;


import lombok.Getter;

/**
 * 起下钻预警工况动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum TrippingConditionDeterminationWarnEnum {

    /**
     *上提钻具
     */
    LiftingDrillingTools("上提钻具"),

    /**
     *干倒划
     */
    DryInvertedScratch("干倒划"),

    /**
     *边提边循环
     */
    LoopWhileLifting("边提边循环"),

    /**
     *倒划
     */
    ReversesStroke("倒划"),

    /**
     *下放钻具
     */
    LoweringDrillingTools("下放钻具"),

    /**
     *干划
     */
    DrysScratch("干划"),

    /**
     *边放边循环
     */
    LoopWhilePlacing("边放边循环"),

    /**
     *倒划眼
     */
    BackReaming("倒划眼"),

    /**
     *干划眼
     */
    DryEyeScratching("干划眼"),

    /**
     *划眼
     */
    Reaming("划眼");



    private final String value;

    TrippingConditionDeterminationWarnEnum(String value) {
        this.value = value;
    }

    public String getValue(){
        return value;
    }

}
